Method: vdc.notifyCredentialDeleted

An endpoint to notify the issuer of a credential being deleted.

HTTP request

POST https://example.issuer.com/api/v1/vdc/notifyCredentialDeleted

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "deviceReferenceId": string,
  "credentialId": string
}
Fields
requestMetadata

object (RequestMetadata)

The metadata about the request, required in all requests.

deviceReferenceId

string

The id that corresponds to the device and the identity key associated with the device. This is NOT a device id, meaning that if the user were to have two separate credentials on the same device, this id would differ between them.

This id is supplied in all requests, and can be used to correlate requests.

credentialId

string

The id of the credential that the wallet has deleted.

Response body

A response acknowledging the deletion of a credential.

If successful, the response body contains data with the following structure:

JSON representation
{
  "responseMetadata": {
    object (ResponseMetadata)
  }
}
Fields
responseMetadata

object (ResponseMetadata)

The metadata about the response, required in all responses.